Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalUserProfileBean

    java.lang.Object
      |
      +--weblogic.jsp.personalization.BaseBean
            |
            +--weblogic.jsp.personalization.UserProfileBean
                  |
                  +--com.beasys.portal.ejb.PortalUserProfileBean

public class PortalUserProfileBean
extends weblogic.jsp.personalization.UserProfileBean

Provides a default implementation of the `PortalUserProfile` interface.

See Also:
  Serialized Form

Fields inherited from class weblogic.jsp.personalization.BaseBean
`ec, hashAlgorithm, id, idColumn, idTableName, nameColumn, poolName, properties, tableName, verbose`

Constructor Summary
`PortalUserProfileBean()`

Method Summary
`void` | `addGroupAttribute(java.lang.String groupName)` Adds the specified group name to the list of group names corresponding to the user profile
`weblogic.jsp.personalization.UserProfilePK` | `ejbCreate(java.lang.String userName)` Accessed when an attempt is made, via `PortalUserProfileHome`, to create a new profile.
`weblogic.jsp.personalization.UserProfilePK` | `ejbCreate(java.lang.String userName, java.lang.String groupName)` Accessed when an attempt is made, via `PortalUserProfileHome`, to create a new profile.
`weblogic.jsp.personalization.UserProfilePK` | `ejbFind(java.lang.String username)` Returns the primary key for the current user
`java.util.Enumeration` | `ejbFindAll()` Returns an Enumeration of all user profiles
`weblogic.jsp.personalization.UserProfilePK` | `ejbFindByPrimaryKey(weblogic.jsp.personalization.UserProfilePK pk)` Returns the primary key for the current user
`void` | `ejbPostCreate(java.lang.String userName)` Accessed after profile creation.
`java.lang.String` | `get(java.lang.String name)` Retrieves the value for the property name specified.
`java.util.Enumeration` | `getAll(java.lang.String name)` Retrieves all values for the multi-valued property name specified.
`java.lang.String` | `getAttribute(java.lang.String propertyName, boolean doGroupHierarchy)` Retrieves the attribute corresponding to the supplied property name.
`java.lang.String` | `getAttribute(java.lang.String propertyName, java.lang.String groupName)` Retrieves the attribute corresponing to the supplied property name.
`protected java.lang.Object` | `getRecursive(java.lang.String name, boolean all)` Searches recursively, using the group property, for a property value.
`void` | `removeGroupAttribute(java.lang.String groupName)` Removes the specified group name from the list of group names corresponding to the user profile
`boolean` | `toBeRemoved()` Indicates whether the only properties left in a user profile are the user profile and group names, or any subset thereof

Methods inherited from class weblogic.jsp.personalization.UserProfileBean
`checkPassword, ejbFindByStartsWith, ejbPostCreate, getAllAttributeValues, getAttribute, getGroupProperty, getIdColumn, getNameColumn, hash, packageUsers, setPassword`

Methods inherited from class weblogic.jsp.personalization.BaseBean
`addAttribute, create, ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, findById, getAttributeNames, getConnection, getHashAlgorithm, getIdTableName, getPoolName, getTableName, isMultiValuedAttribute, removeAttribute, removeAttribute, setAttribute, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalUserProfileBean

    public PortalUserProfileBean()

Method Detail

### ejbFindByPrimaryKey

    public weblogic.jsp.personalization.UserProfilePK ejbFindByPrimaryKey(weblogic.jsp.personalization.UserProfilePK pk)
                                                                   throws javax.ejb.FinderException

  Returns the primary key for the current user
  Overrides:
    ejbFindByPrimaryKey in class weblogic.jsp.personalization.UserProfileBean
  Parameters:
    `pk` - UserProfilePK
  Returns:
    weblogic.jsp.personalization.UserProfilePK
  Throws:
    javax.ejb.FinderException -

### ejbFind

    public weblogic.jsp.personalization.UserProfilePK ejbFind(java.lang.String username)
                                                       throws javax.ejb.FinderException

  Returns the primary key for the current user
  Overrides:
    ejbFind in class weblogic.jsp.personalization.UserProfileBean
  Parameters:
    `username` -
  Returns:
    weblogic.jsp.personalization.UserProfilePK
  Throws:
    javax.ejb.FinderException -

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws javax.ejb.FinderException

  Returns an Enumeration of all user profiles
  Overrides:
    ejbFindAll in class weblogic.jsp.personalization.UserProfileBean
  Returns:
    Enumeration
  Throws:
    javax.ejb.FinderException -

### ejbCreate

    public weblogic.jsp.personalization.UserProfilePK ejbCreate(java.lang.String userName)
                                                         throws javax.ejb.CreateException,
                                                                java.rmi.RemoteException

  Accessed when an attempt is made, via `PortalUserProfileHome`, to create a new profile. Not to be called directly.
  Parameters:
    `userName` - the user name associated with the profile
  Returns:
    `UserProfilePK` a new user profile primary key
  Throws:
    `CreateException` - profile creation failure
    `RemoteException` - remote communication failure

### ejbCreate

    public weblogic.jsp.personalization.UserProfilePK ejbCreate(java.lang.String userName,
                                                                java.lang.String groupName)
                                                         throws javax.ejb.CreateException,
                                                                java.rmi.RemoteException

  Accessed when an attempt is made, via `PortalUserProfileHome`, to create a new profile. Not to be called directly.
  Overrides:
    ejbCreate in class weblogic.jsp.personalization.UserProfileBean
  Parameters:
    `userName` - the user name associated with the profile
    `groupName` - the group name with which the new user will be associated, via the group profile property
  Returns:
    `UserProfilePK` a new user profile primary key
  Throws:
    `CreateException` - profile creation failure
    `RemoteException` - remote communication failure

### ejbPostCreate

    public void ejbPostCreate(java.lang.String userName)

  Accessed after profile creation. Not to be called directly.

### get

    public java.lang.String get(java.lang.String name)
                         throws java.rmi.RemoteException

  Retrieves the value for the property name specified. If the name is not initially found in the user profile, associated group profiles are searched hierarchically.
  Parameters:
    `name` - the name of the property whose value is sought
  Returns:
    `String` the property value ; `null` if not found
  Throws:
    `RemoteException` - remote communication failure

### getAll

    public java.util.Enumeration getAll(java.lang.String name)
                                 throws java.rmi.RemoteException

  Retrieves all values for the multi-valued property name specified. If the name is not initially found in the user profile, associated group profiles are searched hierarchically.
  Parameters:
    `name` - the name of the property whose value is sought
  Returns:
    `String` the property value ; `null` if not found
  Throws:
    `RemoteException` - remote communication failure

### getAttribute

    public java.lang.String getAttribute(java.lang.String propertyName,
                                         boolean doGroupHierarchy)
                                  throws java.rmi.RemoteException

  Retrieves the attribute corresponding to the supplied property name. If `doGroupHierarchy` is `true`, the profile's group property is used to search for a value for the property name if the property value is not immediately available in the profile.
  Parameters:
    `propertyName` - the name of the property whose value is sought
    `doGroupHierarchy` - whether to search the group profiles corresponding to the profile for the property value if the value is not available in the first property. It should be noted that as the search proceeds hierarchically, the first group profile found at each sibling level will be searched for the specified property, and if the property value is not found, the search will continue at the next parent level.
  Returns:
    the property value, if found ; `null` otherwise.
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### getAttribute

    public java.lang.String getAttribute(java.lang.String propertyName,
                                         java.lang.String groupName)
                                  throws java.rmi.RemoteException

  Retrieves the attribute corresponing to the supplied property name. If the attribute is not found in the user profile, the group profile corresponding to the provided group name is searched for the property.
  Parameters:
    `propertyName` - the property whose value is sought
  Returns:
    the property value
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### toBeRemoved

    public boolean toBeRemoved()
                        throws java.rmi.RemoteException

  Indicates whether the only properties left in a user profile are the user profile and group names, or any subset thereof
  Returns:
    whether the only properties left in a user profile are the user profile and group names, or any subset thereof
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### getRecursive

    protected java.lang.Object getRecursive(java.lang.String name,
                                            boolean all)
                                     throws java.rmi.RemoteException

  Searches recursively, using the group property, for a property value. Typically used if the value is not first found is the user profile, and group profiles are to be searched.
  Overrides:
    getRecursive in class weblogic.jsp.personalization.UserProfileBean
  Parameters:
    `name` - the name of the property whose value is sought
    `all` - whether to return all values if the property is muti-valued
  Returns:
    `Object` all either a `Vector` of multiple values, or a `String` single value
  Throws:
    `RemoteException` - remote communication failure

### addGroupAttribute

    public void addGroupAttribute(java.lang.String groupName)
                           throws java.rmi.RemoteException

  Adds the specified group name to the list of group names corresponding to the user profile
  Parameters:
    `groupName` - the group name to add to the profile
  Throws:
    java.rmi.RemoteException - remote method call communication failure

### removeGroupAttribute

    public void removeGroupAttribute(java.lang.String groupName)
                              throws java.rmi.RemoteException

  Removes the specified group name from the list of group names corresponding to the user profile
  Parameters:
    `groupName` - the group name to remove from the profile
  Throws:
    java.rmi.RemoteException - remote method call communication failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved